export declare type ExtractPropertyNamesWithType<T, U> = {
    [K in keyof T]: T[K] extends U ? K : never;
}[keyof T];
export declare type ExtractPropertyNamesExceptType<T, U> = {
    [K in keyof T]: T[K] extends U ? never : K;
}[keyof T];
export declare type PropertiesOfType<T, U> = Pick<T, ExtractPropertyNamesWithType<T, U>>;
export declare type PropertiesExcept<T, X> = Pick<T, ExtractPropertyNamesExceptType<T, X>>;
export declare type Omit<T, K> = Pick<T, Exclude<keyof T, K>>;
export declare type PartialRequire<T, K extends keyof T> = Partial<T> & Pick<T, K>;
export declare type Mutable<T> = {
    -readonly [key in keyof T]: T[key];
};
export declare type AnyFunction = (...args: any[]) => any;
/**
 * The type returned by a `Promise`.
 * @public
 */
export declare type Unpacked<T> = T extends Promise<infer D> ? D : T;
export interface Attributes {
    [key: string]: string;
}
export interface Headers {
    [key: string]: string;
}
