/// <reference types="node" />
export declare function test(): string;
export declare function identity(name: string): string;
export declare function identityNum(n: number): number;
export declare const arrow: (str: string) => string;
export declare const asyncArrow: (str: string) => Promise<string>;
export declare function hello(name: string): string;
export declare function fact(n: number): number;
export declare function concat(a: string, b: string): string;
export declare function error(a: string): void;
export declare function noargs(): string;
export declare function sleep(ms: number): Promise<void>;
export declare function delayReject(ms: number): Promise<{}>;
export declare function async(): Promise<string>;
export declare function path(): Promise<string>;
export declare function emptyReject(): Promise<never>;
export declare function rejected(): Promise<void>;
export interface Timing {
    start: number;
    end: number;
}
export declare function timer(delayMs: number): Promise<Timing>;
export declare function spin(ms: number): Timing;
export declare function optionalArg(arg?: string): string;
export declare function consoleLog(str: string): void;
export declare function consoleWarn(str: string): void;
export declare function consoleError(str: string): void;
export declare function consoleInfo(str: string): void;
export declare function processExit(): void;
export declare function customError(): void;
export declare function allocate(bytes: number): Promise<{
    bytes: number;
    elems: number;
}>;
export declare function getEnv(key: string): string | undefined;
export interface MonteCarloReturn {
    inside: number;
    samples: number;
}
export declare function monteCarloPI(samples: number): MonteCarloReturn;
/**
 * Not supported.
 * @remarks
 * Examples of functions arguments or return values that are not supported.
 */
export declare function promiseArg(promise: Promise<any>): Promise<any>;
export declare function functionArg(fn: () => void): void;
export declare function functionReturn(): () => void;
export declare function bufferArg(_: Buffer): void;
export declare function bufferReturn(): Buffer;
export declare function dateArg(_: Date): void;
export declare function dateReturn(): Date;
export declare class Cls {
    constructor();
}
export declare function classArg(_: Cls): void;
export declare function classReturn(): Cls;
